automation-cloud
latest
false
- 入门指南
- 身份验证
- 作用域和权限
- 平台管理 API
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。
新发布内容的本地化可能需要 1-2 周的时间才能完成。

Automation Cloud API 指南
上次更新日期 2026年4月9日
获取具有配额的组规则
检索已从特定组获取许可证的用户列表。需要具有OrganizationAdmin或LicenseRead策略的外部应用程序。
API 端点
GET {accessURL}/{organizationName}/lease_/api/account/{organizationId}/user-license/groups/with-quota
将所有端点路径中的{accessURL}替换为您的云平台的基本 URL:
| Cloud Platform | 访问 URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud 公共部门 | https://govcloud.uipath.us/ |
| Automation Cloud 专用 | https://{customURL}.dedicated.uipath.com/ |
请求标头
--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
参数
| 路径参数 | 数据类型 | 描述 |
|---|---|---|
organizationId | Guid | 租户所在组织的 ID。 |
查询参数
所有查询参数都是可选的,并用于分页。
| 参数 | 类型 | 描述 |
|---|---|---|
skip | 整数 | 在结果列表中的偏移量。 |
top | 整数 | 要返回的结果数量。最大值: 50。 |
sortBy | 字符串 | 排序字段名称。使用大写的驼峰式 C# 属性名称。 |
sortOrder | 字符串 | 设定方向。接受的值: asc, desc 。 |
响应
200 OK - 返回所有组的许可证规则和配额配置。404 - 组织不存在
[
{
"results": [
{
"groupRule": {
"id": "guid",
"name": "string",
"userBundleLicenses": ["string"],
"userBundleLeases": { "bundleCode": 0 },
"useExternalLicense": true,
"orphan": false,
"userLicenseBundlesUnavailable": ["string"]
},
"quotas": [
{
"userBundleCode": "string",
"limit": 0.0,
"currentUsage": 0
}
]
}
],
"totalCount": 0
}
]
[
{
"results": [
{
"groupRule": {
"id": "guid",
"name": "string",
"userBundleLicenses": ["string"],
"userBundleLeases": { "bundleCode": 0 },
"useExternalLicense": true,
"orphan": false,
"userLicenseBundlesUnavailable": ["string"]
},
"quotas": [
{
"userBundleCode": "string",
"limit": 0.0,
"currentUsage": 0
}
]
}
],
"totalCount": 0
}
]
请求示例
[
curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'
]
[
curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'
]